> For the complete documentation index, see [llms.txt](https://docs.zaui.com/zapi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/transaction-details/credit-card-transaction.md).

# Credit Card Transaction

```xml
<transactionDetails>
	<transactionType></transactionType>
	<transactionAmount></transactionAmount>
	<creditCardDetails>
		<nameOnCard></nameOnCard>
		<number></number>
		<expMonth></expMonth>
		<expYear></expYear>
		<csv></csv>
		<paymentGatewayId></paymentGatewayId>
		<currencyId></currencyId>
	</creditCardDetails>
</transactionDetails>
```

**paymentGatewayId** – optionally your call can include a different payment gateway ID, then it is used as the default in your system. Payment gateways are passed through on the zapiGetSystemInformation call

**currencyId** – passing this will indicate that you wish to transaction the payment for a specific currency.

To enable this you must: Have currencies enabled in your system Must have a valid currency for the sale date

Valid currencies for your order are always passed back as part of the Cart Object. When using this feature, in conjunction with the paymentGatewayId field, please note, if the currencyId you have passed already has configured a payment gateway, this will be used instead of the paymentGatewayId you have passed. If the currencyId doesn’t have a payment gateway configured, then the paymentGatewayId passed will be used. If neither of these is configured, the default gateway will be used.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zaui.com/zapi/supporting-nodes/supporting-nodes/transaction-details/credit-card-transaction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
